enumerations

## Enum ValidatedField

- java.lang.Object
- - java.lang.Enum<ValidatedField>
  - - enumerations.ValidatedField

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ValidatedField>

      public enum ValidatedField
      extends java.lang.Enum<ValidatedField>

  Fields validated in the project, their names, hints and correct examples.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Access`
    `Data`
    `ManID`
    `Serial`
    `Version`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `example`
    `private java.lang.String` | `instruction`
    `private java.lang.String` | `name`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExample()`
    `java.lang.String` | `getInstruction()`
    `java.lang.String` | `getName()`
    `static ValidatedField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ValidatedField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Access

          public static final ValidatedField Access

    - #### Data

          public static final ValidatedField Data

    - #### ManID

          public static final ValidatedField ManID

    - #### Serial

          public static final ValidatedField Serial

    - #### Version

          public static final ValidatedField Version

  - ### Field Detail

    - #### example

          private java.lang.String example

    - #### instruction

          private java.lang.String instruction

    - #### name

          private java.lang.String name

  - ### Method Detail

    - #### getExample

          public java.lang.String getExample()

    - #### getInstruction

          public java.lang.String getInstruction()

    - #### getName

          public java.lang.String getName()

    - #### valueOf

          public static ValidatedField valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static ValidatedField[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidatedField c : ValidatedField.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared